Subject: Re: [PATCH][BNX2]: Disable MSI on 5706 if AMD 8132 bridge is present

From: Roland Dreier <[email-masked]>
Date: Fri, 29 Sep 2006 17:16:59 -0700

Jeff> The patch and description provided no information about
    Jeff> whether or not it would be better to blacklist 8132
    Jeff> globally, as we have already done with the 8131.

8131 and 8132 are quite different: AMD 8131 simply did not implement
MSI at all, so any attempt to use MSI by a device below such a bridge
has no chance at working.  8132 at least tried to implement MSI and
I know at least some devices work with it.

It may be that the 8132 MSI implementation is too buggy to be used in
practice, but that doesn't seem to be AMD's opinion.

 - R.